---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Проекты, портфели и цели
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/entities/about-entities.md
  - href: en/api-ref/entities/about-entities.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt


# Projects, portfolios, and goals

The Entities API presents a unified set of methods for goal, project, or portfolio management with enhanced flexibility and functionality.

With this API, you can:

- [Create](https://yandex.com.tr/support/tracker/en/api-ref/entities/create-entity.md), [edit](https://yandex.com.tr/support/tracker/en/api-ref/entities/update-entity.md), and [delete](https://yandex.com.tr/support/tracker/en/api-ref/entities/delete-entity.md) goals, projects and portfolios.
- [Get information](https://yandex.com.tr/support/tracker/en/api-ref/entities/get-entity.md) about goals, projects and portfolios.
- [Search](https://yandex.com.tr/support/tracker/en/api-ref/entities/search-entities.md) for and [make bulk changes](https://yandex.com.tr/support/tracker/en/api-ref/entities/bulkchange-entities.md) to goals, projects and portfolios.
- [Create](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/add-checklist.md), [edit](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/patch-checklist.md), and [delete](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/delete-checklist.md) checklists.
- [Edit](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/patch-checklist-item.md), [move](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/move-checklist-item.md), and [delete](https://yandex.com.tr/support/tracker/en/api-ref/entities/checklists/delete-checklist-item.md) individual checklist items.

## Additional entity parameters {#query-params}

The request body for managing entities and responses to requests may contain the `fields` object with additional entity parameters. See all allowed fields of the `fields` object in the table below.

To edit entity parameters, you can use the `set`, `add`, `remove`, and other operators. For more information, see [Editing parameters](https://yandex.com.tr/support/tracker/en/api-ref/common-format.md#edit-fields).

To include additional parameters in the response body, add the `fields` parameter to the request address and specify one or more values.

> For example, you can configure the response to include a project description and details of the checklist items.
>
> ```
> POST https://api.tracker.yandex.net/v3/entities/project/12345/checklistItems?fields=description,checklistItems
> ```
> The response body will include a `fields` object with the requested information.

<!-- source: en/api-ref/_includes/query-params.md -->
#|
|| **Field** | **Description** | **Data type** | **Entity type** ||
|| summary | Entity name | String |
Project
Portfolio
Goal ||
|| description | Entity description | String |
Project
Portfolio
Goal ||
|| [author](#user) | Author | Object |
Project
Portfolio
Goal ||
|| [lead](#user) | Lead | Object |
Project
Portfolio
Goal ||
|| [teamUsers](#user) | Participants | Object array |
Project
Portfolio
Goal ||
|| [clients](#user) | Customers | Object array |
Project
Portfolio
Goal ||
|| [followers](#user) | Followers | Object array |
Project
Portfolio
Goal ||
|| start | Start date in the format `YYYY-MM-DD`| String |
Project
Portfolio ||
|| end | Deadline in the format `YYYY-MM-DD` | String |
Project
Portfolio
Goal ||
|| quarter | Start and deadline quarter in the format `YYYY QN` | String array |
Project
Portfolio ||
|| [metricItems](#metric-items) | Metrics — dashboard widgets charts. [Learn more about metrics](https://yandex.com.tr/support/tracker/en/manager/create-project.md#add-metrics) | Object array |
Project
Portfolio
Goal ||
|| [checklistItems](#checklist-items) | Checklist used in projects and portfolios. [Learn more about checklists](https://yandex.com.tr/support/tracker/en/user/checklist.md) | Object array |
Project
Portfolio
||
|| [keyResultItems](#keyresult-items) | List of key results in goals. [Learn more about key results](https://yandex.com.tr/support/tracker/en/goals/goals-settings.md) | Object array |
Goal ||
|| progressPercentage | Goal progress value. Calculated automatically based on sub-goals and key results. For details, see [Tracking progress](https://yandex.com.tr/support/tracker/en/goals/goals-settings.md#progress).

The value can range from 0 to 1. If there are no sub-goals or key results, the value is `null`.

This parameter is read-only | Number | Goal ||
|| tags | Tags | Array of strings |
Project
Portfolio
Goal ||
|| [parentEntity](#parent) | Details about parent entities. For a project or portfolio: "Included in the portfolio" field | Object |
Project
Portfolio
Goal ||
|| teamAccess |
Access settings:
* `true`: Only project, portfolio, or goal participants have access.
* `false`: Users who aren't members of the project, portfolio, or goal also have access.

This option doesn't apply if access settings are inherited from the parent entity. See the [permissionSources parameter description](https://yandex.com.tr/support/tracker/en/api-ref/entities/get-access.md#answer). | String |
Project
Portfolio
Goal ||
|| entityStatus |

Status

<!-- source: en/api-ref/_includes/entity-status.md -->
For projects or portfolios:
* `draft`: New.
* `draft2`: Draft.
* `in_progress`: In progress.
* `according_to_plan`: As planned.
* `postponed`: Postponed.
* `at_risk`: At risk.
* `blocked`: Blocked.
* `launched`: Finished.
* `cancelled`: Canceled.

For goals:
* `draft`: New.
* `according_to_plan`: As planned.
* `at_risk`: At risk.
* `blocked`: Blocked.
* `achieved`: Completed.
* `partially_achieved`: Partially completed.
* `not_achieved`: Not completed.
* `exceeded`: Exceeded.
* `cancelled`: Canceled.
<!-- endsource: en/api-ref/_includes/entity-status.md -->
| String |
Project
Portfolio
Goal ||
|| [issueQueues](#queues) | Queues whose issues are included in the project. Read-only parameter | Object array |
Project
||
|| lastCommentUpdatedAt | Last comment date in the format `YYYY-MM-DD` | String |
Project
Portfolio
Goal ||
|| linkedGoalsCount | Number of linked goals | Number |
Project
Portfolio ||
|| linkedProjectsCount | Number of linked projects and portfolios | Number | Goal ||
|#
<!-- endsource: en/api-ref/_includes/query-params.md -->

**Fields of objects that contain user data** {#user}

The `author`, `lead`, `teamUsers`, `clients`, and `followers` entity parameters contain objects with the following fields:

<!-- source: en/api-ref/_includes/user.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the user | String |
| id | User ID. | String |
| display | Displayed user name | String |
| passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
| cloudUid | Unique user ID in Yandex Identity Hub | String |
<!-- endsource: en/api-ref/_includes/user.md -->

**Fields of objects** in the `metricItems` array {#metric-items}

| Parameter | Description | Data type |
--- | --- | ---
| id | Metric ID | String |
| text | Metric name | String |
| url | Link to widget  | String |

**Fields of objects in the** `checklistItems` array {#checklist-items}

<!-- source: en/api-ref/_includes/checklist-items.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| id | Сhecklist item ID. | String |
| text | Text of the checklist item. | String |
| textHtml | Text of the checklist item in HTML format. | String |
| checked | Checklist item completion flag:<ul><li>`true`: Item marked as completed.</li><li>`false`: Item not marked as completed.</li></ul> | Boolean |
| assignee | Assignee of the checklist item. | Map object |
| [deadline](#deadline-checklist) | Deadline for the checklist item. | Map object |
| checklistItemType | Type of the checklist item. | String |
<!-- endsource: en/api-ref/_includes/checklist-items.md -->

**Fields of objects in the** `keyResultItems` array {#keyresult-items}

<!-- source: en/api-ref/_includes/keyresult-items.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| id | ID of a checklist item | String |
| text | Text of a key result | String |
| type | Method used to measure the progress toward the key result: <ul><li>`value`: Based on the specific value.</li><li>`binary`: Based on whether the key result was achieved.</li></ul> | String |
| [deadline](#deadline-checklist) | Deadline of a key result | Map object |
| [progress](#progress) | Quantitative metrics to track progress by value | Map object |
| achieved | Indicates whether the key result was achieved:<ul><li>`true`: Marked as achieved.</li><li>`false`: Not marked as achieved.</li></ul> | Boolean |
| [assignee](#user) | Key result assignee | Map object |

<!--
<!-- endsource: en/api-ref/_includes/keyresult-items.md -->

`deadline` **object fields** {#deadline}

<!-- source: en/api-ref/_includes/checklist-items.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| date | Deadline in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | Date |
| deadlineType | Deadline type:<ul><li>`date`</li><li>`quarter`</li></ul> | String |
| isExceeded | Flag indicating if the deadline has passed: <ul><li>`true`: Passed.</li><li>`false`: Not passed.</li></ul> | Boolean |
<!-- endsource: en/api-ref/_includes/checklist-items.md -->

`progress` **object fields** {#progress}

<!-- source: en/api-ref/_includes/keyresult-items.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| start | Initial progress value of a key result | Number |
| end | Target progress value of a key result | Number |
| current | Current progress value of a key result | Number |
<!-- endsource: en/api-ref/_includes/keyresult-items.md -->

**parentEntity** `object fields` {#parent}

<!-- source: en/api-ref/_includes/entity-fields.md -->
| Parameter | Description | Data type |
-------- | -------- | ----------
| [primary](#entity-id) | The main portfolio (for projects and portfolios) or parent goal (for goals) | Object |
| [secondary](#entity-id) | For projects and portfolios: a list of additional portfolios<br>For goals, the parameter value is always empty | Array of objects |

{% note info "" %}

If the request address specifies the API `v2`, the `parentEntity` object contains information only about the main portfolio or parent goal.

{% endnote %}
<!-- endsource: en/api-ref/_includes/entity-fields.md -->

**Fields of the object that contains entity data** {#entity-id}

The `primary` and `secondary` parameters contain objects with the following fields:

<!-- source: en/api-ref/_includes/entity-fields.md -->
| Parameter | Description | Data type |
-------- | -------- | ----------
| self | Address of the API resource with information about the entity | String |
| id | Entity ID | String |
| display | Entity name | String |
<!-- endsource: en/api-ref/_includes/entity-fields.md -->

**issueQueues** `object fields` {#queues}

<!-- source: en/api-ref/_includes/queue.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the queue. | String |
| id | Queue ID. | String |
| key | Queue key. | String |
| display | Queue name displayed. | String |
<!-- endsource: en/api-ref/_includes/queue.md -->


